Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support
Class Tools

    java.lang.Object
      com.eviware.soapui.support.Tools

    public class Tools

extends java.lang.Object

Field Summary
`static int` | `COPY_BUFFER_SIZE`
`static long` | `READ_ALL`

Constructor Summary
`Tools()`

Method Summary
`static java.lang.String` | `convertToHtml(java.lang.String str)`
`static int` | `copyFile(java.io.File source, java.io.File target, boolean overwrite)`
`static java.lang.String` | `ensureDir(java.lang.String outputDir)`
`static java.lang.String` | `ensureDir(java.lang.String dir, java.lang.String basedir)`
`static java.lang.String` | `ensureFileDir(java.lang.String file, java.lang.String basedir)`
`static java.lang.String` | `expandProperties(StringToStringMap values, java.lang.String content, boolean leaveMissing)`
`static java.lang.String` | `getDir(java.lang.String filePath)`
`static java.lang.String` | `getFilename(java.lang.String filePath)`
`static boolean` | `isEmpty(java.lang.String str)`
`static java.lang.String` | `joinRelativeUrl(java.lang.String baseUrl, java.lang.String url)` Joins a relative url to a base url.. needs improvements..
`static void` | `openURL(java.lang.String url)`
`static java.io.ByteArrayOutputStream` | `readAll(java.io.InputStream instream, long maxSize)`
`static java.lang.String` | `replaceHost(java.lang.String endpoint, java.lang.String host)` Replaces the host part of the specified endpoint with the specified host
`static java.lang.String[]` | `tokenizeArgs(java.lang.String args)`
`static long` | `writeAll(java.io.OutputStream out, java.io.InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPY_BUFFER_SIZE

    public static final int COPY_BUFFER_SIZE

See Also:
  Constant Field Values

### READ_ALL

    public static final long READ_ALL

See Also:
  Constant Field Values

Constructor Detail

### Tools

    public Tools()

Method Detail

### tokenizeArgs

    public static java.lang.String[] tokenizeArgs(java.lang.String args)

### convertToHtml

    public static java.lang.String convertToHtml(java.lang.String str)

### getFilename

    public static java.lang.String getFilename(java.lang.String filePath)

### getDir

    public static java.lang.String getDir(java.lang.String filePath)

### ensureDir

    public static java.lang.String ensureDir(java.lang.String dir,
                                             java.lang.String basedir)

### ensureFileDir

    public static java.lang.String ensureFileDir(java.lang.String file,
                                                 java.lang.String basedir)

### ensureDir

    public static java.lang.String ensureDir(java.lang.String outputDir)

### openURL

    public static void openURL(java.lang.String url)

### readAll

    public static java.io.ByteArrayOutputStream readAll(java.io.InputStream instream,
                                                        long maxSize)
                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### copyFile

    public static int copyFile(java.io.File source,
                               java.io.File target,
                               boolean overwrite)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### joinRelativeUrl

    public static java.lang.String joinRelativeUrl(java.lang.String baseUrl,
                                                   java.lang.String url)

  Joins a relative url to a base url.. needs improvements..

### isEmpty

    public static boolean isEmpty(java.lang.String str)

### writeAll

    public static long writeAll(java.io.OutputStream out,
                                java.io.InputStream in)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### expandProperties

    public static java.lang.String expandProperties(StringToStringMap values,
                                                    java.lang.String content,
                                                    boolean leaveMissing)

### replaceHost

    public static java.lang.String replaceHost(java.lang.String endpoint,
                                               java.lang.String host)

  Replaces the host part of the specified endpoint with the specified host

  Parameters:
    `endpoint` - the endpoint to modify
    `host` - the host to set
  Returns:
    the modified endpoint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.